kdeui Library: KHSSelector Class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KHSSelector Class Reference

Widget for Hue/Saturation colour selection. More...

`#include <kcolordialog.h>`

Inheritance diagram for KHSSelector:

[legend]
Collaboration diagram for KHSSelector:

[legend]
List of all members.

## Public Member Functions
| KHSSelector (QWidget *parent=0, const char *name=0)
## Protected Member Functions
virtual void | drawPalette (QPixmap *pixmap)
virtual void | resizeEvent (QResizeEvent *)
virtual void | drawContents (QPainter *painter)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Widget for Hue/Saturation colour selection.

The actual values can be fetched using the inherited xValue and yValue methods.

KDE Hue/Saturation Selection Widget

See also:
  KXYSelector, KValueSelector, KColorDialog

Author:
  Martin Jones (mjones@kde.org)

Definition at line 58 of file kcolordialog.h.

## Constructor & Destructor Documentation

KHSSelector::KHSSelector | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

| Constructs a hue/saturation selection widget. Definition at line 194 of file kcolordialog.cpp.

## Member Function Documentation

void KHSSelector::drawPalette | ( | QPixmap * | pixmap | ) | `[protected, virtual]`

| Draws the contents of the widget on a pixmap, which is used for buffering. Definition at line 215 of file kcolordialog.cpp. References KXYSelector::contentsRect(), QPixmap::convertFromImage(), KImageEffect::dither(), QRect::height(), QColor::rgb(), QImage::scanLine(), QColor::setHsv(), and QRect::width().

void KHSSelector::drawContents | ( | QPainter * | painter | ) | `[protected, virtual]`

| Reimplemented from KXYSelector. This drawing is buffered in a pixmap here. As real drawing routine, drawPalette() is used. Reimplemented from KXYSelector. Definition at line 210 of file kcolordialog.cpp. References KXYSelector::contentsRect(), QWidget::x(), and QWidget::y().

The documentation for this class was generated from the following files:

- kcolordialog.h
- kcolordialog.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:22 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003